// NVI - The Negative Volume Index 

// en.wikipedia.org/wiki/Negative_volume_index
// blog.nobletrading.com/2009/05/negative-volume-index-or-nvi.html
// www.forexrealm.com/technical-analysis/technical-indicators/negative-volume-index.html
// www.stator-afm.com/negative-volume-index.html


function init()
{
    with (NVI) {
         label = "NVI";
         createBuffer("NVI");
         setBufferColor("NVI", "#00FF00");
         setBufferDrawStyle("NVI", DrawStyle.LINE);
         setAutoChangeMaxMin("NVI");
    }
}

function start()
{
   var num = Shared.numberOfQuotes();
   var NVIbuf = new Array(num);

   NVIbuf[0] = 0;
   var tmp = 0;    

   for (var j = 1; j < num; ++j)  {
   
    if (Shared.volume(j) < Shared.volume(j-1)) 
                           tmp = (Shared.close(j) - Shared.close(j-1)) / Shared.close(j-1);
                           else tmp = 0 ;

    NVIbuf[j] = NVIbuf[j-1] + tmp;
   }

     NVI.setBufferData("NVI", NVIbuf);
}

